/*
 * Copyright © 2011 Nokia Corporation. All rights reserved.
 * Nokia and Nokia Connecting People are registered trademarks of Nokia Corporation. 
 * Oracle and Java are trademarks or registered trademarks of Oracle and/or its
 * affiliates. Other product and company names mentioned herein may be trademarks
 * or trade names of their respective owners. 
 * See LICENSE.TXT for license information.
 */
package com.nokia.example.moviebooking;

import com.nokia.example.moviebooking.ui.MovieBooking;

/**
 * Entry point of the application. This class only starts
 * {@link MovieBooking}  in the UI thread. Display creation
 * and event loop handling is done on the {@link MovieBooking}
 *
 * @see MovieBooking
 */
public class MovieBookingMIDlet extends SWTMIDlet {

    private MovieBooking bookingApp;

    protected void runMain() {
        bookingApp = new MovieBooking(this);
        bookingApp.run();
    }
}
